Download

RETURN

Version History :
UpdateTime Version Notes File Size Download
2015-11-18 151118

X4R_LBT_build151118 is for X4R and X4RSB with CPPM function already integrated;

LBT firmware is not compatible with previous EU firmware. FrSky highly suggest you to upgrade your radios, modules, receivers with old EU firmware to their corresponding LBT firmware.

67KB
2015-07-29 150729

X4R-X4RSB-CPPM-EU Version

194KB
2015-06-30 150630

X4R-X4RSB-CPPM- Non-EU Version

194KB
2015-05-26 150526

Firmware for X4R/ X4R-SB EU Version

Improve the compatibility with SBUS signals.

62KB
2015-01-21 150121

Firmware for X4R/ X4R-SB EU Version, SUBS data overflow error fixed.

60KB
2015-01-16 150116

1.Firmware for X4R/ X4RSB, SUBS data overflow error fixed.
 
2.This is Non-Europe version.

60KB
2014-12-30 1401230

1. Firmware complied with: ETSI EN 300 328 V1.8.1
Upgrade for X4R and X4RSB receiver EU Version
2. How to upgrade:http://www.frsky-rc.com/download/view.php?sort=How%20To&down=121&file=How%20To-S.Port%20Products
3. Unnecessary do firmware upgrade for Non-European countries.
4. When work with XJT, internal XJT of X9D & X9D Plus(old firmware) at D16 mode after upgraded, XJT should upgrade to v1.8.1 complied firmware as well.

60KB
2014-05-21 140521

1. Default Firmware for Non-European version. 
2. How to upgrade: http://www.frsky-rc.com/download/view.php?sort=How%20To&down=121&file=How%20To-S.Port%20Products

46KB